module ActsAsExportable
  class ExportController < ApplicationController

    def index
      @metaclass = params[:class_name].constantize
      @csv_string = @metaclass.build_csv
      send_data(@csv_string,
        :type => 'text/csv; charset=utf-8; header=present',
        :filename => "All#{params[:class_name].pluralize}#{Date.today}.csv"
      )
    end

  end
end
