Rails.application.routes.draw do |map|

  mount_at = ActsAsExportable::Engine.config.mount_at

  match mount_at => 'acts_as_exportable/export#index'

  map.resources :export, :only => [ :index ],
                          :controller => "acts_as_exportable/export",
                          :path_prefix => mount_at

end
