require 'acts_as_exportable/exporter'
require 'acts_as_exportable/view_helper'
require 'csv' if RUBY_VERSION >= "1.9"
require 'engine' if defined?(Rails) && Rails::VERSION::MAJOR == 3

if defined?(ActiveRecord::Base)
  ActiveRecord::Base.send :include, ActsAsExportable::Exporter
end

if defined?(ActionView::Base)
  ActionView::Base.send :include, ActsAsExportable::ViewHelper
end
